Di_package_parser

## Data Structures

struct | internal_di_package_parser_data

## Functions

di_parser_info * | di_package_parser_info (void)
di_package * | di_package_special_read_file (const char *file, di_packages *packages, di_packages_allocator *allocator, di_parser_info *(info)(void))
static di_package * | di_package_read_file (const char *file, di_packages *packages, di_packages_allocator *allocator)

## Variables

di_parser_fields_function_read | di_package_parser_read_dependency
di_parser_fields_function_read | di_package_parser_read_description
di_parser_fields_function_read | di_package_parser_read_priority
di_parser_fields_function_read | di_package_parser_read_status
di_parser_fields_function_write | di_package_parser_write_dependency
di_parser_fields_function_write | di_package_parser_write_description
di_parser_fields_function_write | di_package_parser_write_priority
di_parser_fields_function_write | di_package_parser_write_status
const di_parser_fieldinfo * | di_package_parser_fieldinfo []
const di_parser_fieldinfo | internal_di_package_parser_field_status
const di_parser_fieldinfo | internal_di_package_parser_field_essential
const di_parser_fieldinfo | internal_di_package_parser_field_priority
const di_parser_fieldinfo | internal_di_package_parser_field_section
const di_parser_fieldinfo | internal_di_package_parser_field_installed_size
const di_parser_fieldinfo | internal_di_package_parser_field_maintainer
const di_parser_fieldinfo | internal_di_package_parser_field_architecture
const di_parser_fieldinfo | internal_di_package_parser_field_version
const di_parser_fieldinfo | internal_di_package_parser_field_replaces
const di_parser_fieldinfo | internal_di_package_parser_field_provides
const di_parser_fieldinfo | internal_di_package_parser_field_depends
const di_parser_fieldinfo | internal_di_package_parser_field_pre_depends
const di_parser_fieldinfo | internal_di_package_parser_field_recommends
const di_parser_fieldinfo | internal_di_package_parser_field_suggests
const di_parser_fieldinfo | internal_di_package_parser_field_conflicts
const di_parser_fieldinfo | internal_di_package_parser_field_enhances
const di_parser_fieldinfo | internal_di_package_parser_field_filename
const di_parser_fieldinfo | internal_di_package_parser_field_size
const di_parser_fieldinfo | internal_di_package_parser_field_sha256
const di_parser_fieldinfo | internal_di_package_parser_field_description

## Detailed Description

## Function Documentation

## di_package_parser_info()

di_parser_info * di_package_parser_info | ( | void |  | ) |

Get parser info for standard control file

{
di_parser_info *info;
info = di_parser_info_alloc ();
di_parser_info_add (info, di_package_parser_fieldinfo);
return info;
}
di_package_parser_fieldinfo
const di_parser_fieldinfo * di_package_parser_fieldinfo[]
Definition package_parser.c:200
di_parser_info
Parse info.
Definition parser.h:94

References di_package_parser_fieldinfo.

Referenced by di_package_read_file().

## di_package_read_file()

static di_package * di_package_read_file | ( | const char * | file,
|  | di_packages * | packages,
|  | di_packages_allocator * | allocator
| ) |  |

inline static

Read a package control file

Parameters

  file | file to read
  packages | di_packages which the package is add to
  allocator | the corresponding allocator

{
return di_package_special_read_file (file, packages, allocator, di_package_parser_info);
}
di_package_special_read_file
di_package * di_package_special_read_file(const char *file, di_packages *packages, di_packages_allocator *allocator, di_parser_info *(info)(void))
di_package_parser_info
di_parser_info * di_package_parser_info(void)
Definition package_parser.c:233

References di_package_parser_info(), and di_package_special_read_file().

## di_package_special_read_file()

di_package * di_package_special_read_file | ( | const char * | file,
|  | di_packages * | packages,
|  | di_packages_allocator * | allocator,
|  | di_parser_info * | info)(void
| ) |  |

Read a special package control file

Parameters

  file | file to read
  packages | di_packages which the package is add to
  allocator | the corresponding allocator

Referenced by di_package_read_file(), and di_system_package_read_file().

## Variable Documentation

## di_package_parser_fieldinfo

const di_parser_fieldinfo* di_package_parser_fieldinfo[]

extern

Standard package control file

{
&internal_di_package_parser_field_package,
&internal_di_package_parser_field_essential,
&internal_di_package_parser_field_priority,
&internal_di_package_parser_field_section,
&internal_di_package_parser_field_installed_size,
&internal_di_package_parser_field_maintainer,
&internal_di_package_parser_field_architecture,
&internal_di_package_parser_field_version,
&internal_di_package_parser_field_replaces,
&internal_di_package_parser_field_provides,
&internal_di_package_parser_field_depends,
&internal_di_package_parser_field_pre_depends,
&internal_di_package_parser_field_recommends,
&internal_di_package_parser_field_suggests,
&internal_di_package_parser_field_conflicts,
&internal_di_package_parser_field_enhances,
&internal_di_package_parser_field_filename,
&internal_di_package_parser_field_size,
&internal_di_package_parser_field_sha256,
&internal_di_package_parser_field_description,
NULL
};

Referenced by di_package_parser_info().

## di_package_parser_read_dependency

di_parser_fields_function_read di_package_parser_read_dependency

Read function for Dependency field

## di_package_parser_read_description

di_parser_fields_function_read di_package_parser_read_description

Read function for Description field

## di_package_parser_read_priority

di_parser_fields_function_read di_package_parser_read_priority

Read function for Priority field

## di_package_parser_read_status

di_parser_fields_function_read di_package_parser_read_status

Read function for Status field

## di_package_parser_write_dependency

di_parser_fields_function_write di_package_parser_write_dependency

Write function for Dependency field

## di_package_parser_write_description

di_parser_fields_function_write di_package_parser_write_description

Write function for Description field

## di_package_parser_write_priority

di_parser_fields_function_write di_package_parser_write_priority

Write function for Priority field

## di_package_parser_write_status

di_parser_fields_function_write di_package_parser_write_status

Write function for Status field

## internal_di_package_parser_field_status

const di_parser_fieldinfo internal_di_package_parser_field_status

extern

parser info